Package com.io7m.idstore.server.service.templating

# Record Class IdFMMessageData

java.lang.Object
java.lang.Record
com.io7m.idstore.server.service.templating.IdFMMessageData

Record Components:
  `htmlTitle` - The page title
  `pageHeaderTitle` - The page header title
  `requestId` - The request ID
  `isError` - `true` if the message is an error
  `isServerError` - `true` if the error is a server-side error and not the fault of the user
  `message` - The message
  `messageTitle` - The message title
  `returnTo` - The path to which to return

All Implemented Interfaces:
  `IdFMDataModelType`

public record IdFMMessageData(String htmlTitle, String pageHeaderTitle, UUID requestId, boolean isError, boolean isServerError, String messageTitle, String message, String returnTo) extends Record implements IdFMDataModelType
Data for the generic message screen template.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdFMMessageData(String htmlTitle, String pageHeaderTitle, UUID requestId, boolean isError, boolean isServerError, String messageTitle, String message, String returnTo)`
  Data for the generic message screen template.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `htmlTitle()`
  Returns the value of the `htmlTitle` record component.
  `boolean`
  `isError()`
  Returns the value of the `isError` record component.
  `boolean`
  `isServerError()`
  Returns the value of the `isServerError` record component.
  `String`
  `message()`
  Returns the value of the `message` record component.
  `String`
  `messageTitle()`
  Returns the value of the `messageTitle` record component.
  `String`
  `pageHeaderTitle()`
  Returns the value of the `pageHeaderTitle` record component.
  `UUID`
  `requestId()`
  Returns the value of the `requestId` record component.
  `String`
  `returnTo()`
  Returns the value of the `returnTo` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `Map<String,Object>`
  `toTemplateHash()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdFMMessageData

    public IdFMMessageData(String htmlTitle, String pageHeaderTitle, UUID requestId, boolean isError, boolean isServerError, String messageTitle, String message, String returnTo)
    Data for the generic message screen template.
    Parameters:
      `htmlTitle` - The page title
      `pageHeaderTitle` - The page header title
      `requestId` - The request ID
      `isError` - `true` if the message is an error
      `isServerError` - `true` if the error is a server-side error and not the fault of the user
      `message` - The message
      `messageTitle` - The message title
      `returnTo` - The path to which to return

- ## Method Details

  - ### toTemplateHash

    public Map<String,Object> toTemplateHash()
    Specified by:
      `toTemplateHash` in interface `IdFMDataModelType`
    Returns:
      The data as a freemarker template hash

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### htmlTitle

    public String htmlTitle()
    Returns the value of the `htmlTitle` record component.
    Returns:
      the value of the `htmlTitle` record component

  - ### pageHeaderTitle

    public String pageHeaderTitle()
    Returns the value of the `pageHeaderTitle` record component.
    Returns:
      the value of the `pageHeaderTitle` record component

  - ### requestId

    public UUID requestId()
    Returns the value of the `requestId` record component.
    Returns:
      the value of the `requestId` record component

  - ### isError

    public boolean isError()
    Returns the value of the `isError` record component.
    Returns:
      the value of the `isError` record component

  - ### isServerError

    public boolean isServerError()
    Returns the value of the `isServerError` record component.
    Returns:
      the value of the `isServerError` record component

  - ### messageTitle

    public String messageTitle()
    Returns the value of the `messageTitle` record component.
    Returns:
      the value of the `messageTitle` record component

  - ### message

    public String message()
    Returns the value of the `message` record component.
    Returns:
      the value of the `message` record component

  - ### returnTo

    public String returnTo()
    Returns the value of the `returnTo` record component.
    Returns:
      the value of the `returnTo` record component